import * as mc from "@minecraft/server";
import * as mcui from "@minecraft/server-ui";
import {sharpnessUI} from "./pages/sharpnessPage"
import {efficiencyUI} from "./pages/efficiencyPage"
import {fortuneUI} from "./pages/fortunePage"
import {fireAspectUI} from "./pages/fireAspectPage"
import {protectionUI} from "./pages/protectionPage"
import {lootingUI} from "./pages/lootingPage"
import {unbreakingUI} from "./pages/unbreakingPage"


mc.system.afterEvents.scriptEventReceive.subscribe(data => {
  if (data.id == "plus:advanced_enchantment_table"){
  const homePage = new mcui.ActionFormData();
  const player = data.sourceEntity

  
homePage.title(`Advanced Enchantment Table`)
homePage.button(`enchantment.damage.all`, "textures/ui/enchanted_book") // Sharpness
homePage.button(`enchantment.digging`, "textures/ui/enchanted_book") // Efficiency
homePage.button(`enchantment.lootBonusDigger`, "textures/ui/enchanted_book") // Fortune
homePage.button(`enchantment.fire`, "textures/ui/enchanted_book") // Fire Aspect
homePage.button(`enchantment.protect.all`, "textures/ui/enchanted_book") // Protection
homePage.button(`enchantment.lootBonus`, "textures/ui/enchanted_book") // Looting
homePage.button(`enchantment.durability`, "textures/ui/enchanted_book") // Unbreaking
homePage.body(`enchantment.select`)
homePage.title(`Advanced Enchantment Table`)


homePage.show(player).then((form) => {
   if (form.selection == 0) {
     sharpnessUI(player)
   }
   if (form.selection == 1) {
     efficiencyUI(player)
   }
   if (form.selection == 2) {
     fortuneUI(player)
   }
   if (form.selection == 3) {
     fireAspectUI(player)
   }
   if (form.selection == 4) {
     protectionUI(player)
   }
   if (form.selection == 5) {
     lootingUI(player)
   }
   if (form.selection == 6) {
     unbreakingUI(player)
   }
   })
   
  }
})